Subject: Re: Re: bug#53788: 29.0.50; eshell

From: <[email-masked]>
Date: Sat, 05 Feb 2022 00:23:21 +0100

Hi,

thanks a lot Lars and Jim. I used the rm lisp/eshell/*.elc method. emacs died after the first invocation, but I retried 10x always running fine. eshell.ls now working again.

--- Ursprüngliche Nachricht ---
Von: Jim Porter <[email-masked]>
Datum: 04.02.2022 23:06:51
An: Thomas Paulsen <[email-masked]>, [email-masked]
Betreff: Re: bug#53788: 29.0.50; eshell

On 2/4/2022 12:42 PM, Thomas Paulsen wrote:
> From: [email-masked]
> To: [email-masked]
> Subject: 29.0.50; eshell
> Reply-To: [email-masked]
> --text follows this line--
> emacs -Q
> 
> eshell
> ls
> Wrong number of arguments: (4 . 4), 3
> ~ $ echo $SHELL
> Wrong number of arguments: (4 . 4), 3

I believe this is the same as bug#53569. If you recompile the Eshell 
sources (either with `make bootstrap' or with `rm lisp/eshell/*.elc 
test/lisp/eshell/*.elc && make'), the problem should go away.